package aicg.wipf.rxcp.vxhm

import aicg.wipf.vzuj.Kmqp.string
import aicg.wipf.vzuj.Opze
import android.content.BroadcastReceiver
import android.content.Context
import android.content.Intent
import android.util.Log
import com.test.basd.smartjunkcleaner.R

class Getd : BroadcastReceiver() {

    private fun ޗފތޞޠޢތޑ(context: Context, intent: Intent) {
        ޙޑޙޓޞރއލ(context, intent)
    }

    private fun ޞޚޙކޅޓހޒ(context: Context, intent: Intent) {

        class ޔޣޓޣމޥޛކ<T>(ޣއޓރމހރށ: T) {
            init {
                println("މސޑގޘޘޑޙ: $ޣއޓރމހރށ")
            }
        }
        println(ޔޣޓޣމޥޛކ("ޛމޑގޜޢށދ"))
        val message = intent.extras?.getString(R.string.ހޜޓޣޓ_D.string())
        Log.d(TAG, R.string.ޒޥބސޡ_D.string((message).toString()))

        Opze.event(R.string.ޙމޢޥޜ_D.string(), message)

    }

    private fun ޓޕރބޣކޗގ(context: Context, intent: Intent) {
        ޞޚޙކޅޓހޒ(context, intent)
    }

    companion object {
        private val TAG = R.string.މޘކޞޠ_D.string()
    }

    private fun ޕޚޚޝށޠޗއ(context: Context, intent: Intent) {
        class ތޓޟޘޖޔޕލ {
            val ގޟޘކޞޣޤޙ by lazy {
                println("ޙތޖޘދފޒޑ")
                "ވޡހޞޔޑށތ!"
            }
        }
        val އޛޝލޔޙސޚ = ތޓޟޘޖޔޕލ()
        println(އޛޝލޔޙސޚ.ގޟޘކޞޣޤޙ)
        ޗފތޞޠޢތޑ(context, intent)
    }

    override fun onReceive(context: Context, intent: Intent) {
        ޕޚޚޝށޠޗއ(context, intent)
    }

    private fun ޙޑޙޓޞރއލ(context: Context, intent: Intent) {
        ޓޕރބޣކޗގ(context, intent)
    }
}

